<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal">

    <androidx.cardview.widget.CardView
        android:id="@+id/card"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginVertical="4dp"
        android:layout_marginStart="16dp"
        app:cardElevation="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:ignore="ContentDescription" />

        <ImageView
            android:id="@+id/iv_shipin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@mipmap/h_shipin"
            android:visibility="gone"
            tools:ignore="ContentDescription" />

    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/ll"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="5dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/fl_more"
        app:layout_constraintStart_toEndOf="@id/card"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:singleLine="true"
            android:text="Screenshot 20240805 103…"
            android:textColor="#010101"
            android:textSize="17sp"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_size"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:text="358KB"
            android:textColor="#6B6B6D"
            android:textSize="14sp"
            tools:ignore="HardcodedText" />
    </LinearLayout>

    <FrameLayout
        android:id="@+id/fl_more"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginEnd="8dp"
        android:background="?android:attr/selectableItemBackground"
        android:padding="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/geduo"
            tools:ignore="ContentDescription" />
    </FrameLayout>

    <View
        android:layout_width="0dp"
        android:layout_height="1px"
        android:layout_marginTop="10dp"
        android:background="#E5E6EB"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/ll"
        app:layout_constraintTop_toBottomOf="@id/ll" />

</androidx.constraintlayout.widget.ConstraintLayout>